#### D.12.7.11 sturmseq

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  sturmseq(p); p poly

Return:
  list: a Sturm sequence of p

Assume:
  p is a univariate polynomial with rational coefficients

Theory:
  The Sturm sequence of p (also called remainder sequence) is the sequence beginning with p, p' and goes on with the negative part of the remainder of the two previous polynomials, until the remainder is zero.
  See: Basu, Pollack, Roy, Algorithms in Real Algebraic Geometry, Springer, 2003.

Example:

    LIB "rootsur.lib";
    ring r = 0,(z,x),dp;
    poly p = x5-3x4+12x3+7x-153;
    sturmseq(p);
    ==> [1]:
    ==>    x5-3x4+12x3+7x-153
    ==> [2]:
    ==>    x4-12/5x3+36/5x2+7/5
    ==> [3]:
    ==>    -x3-9/7x2-5/3x+317/7
    ==> [4]:
    ==>    -x2-756/151x+2433/151
    ==> [5]:
    ==>    x-514191/177889
    ==> [6]:
    ==>    1

See also: sturm; sturmhaseq.

User manual for Singular version 4.4.1, 2025, generated by texi2html.